import { AfterContentInit, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { BreadcrumbsService } from '../../services/breadcrumbs.service';
export declare class BreadcrumbsComponent implements OnInit, AfterContentInit {
    vRef: ViewContainerRef;
    breadcrumbsService: BreadcrumbsService;
    linkTemplate: TemplateRef<any>;
    breadcrumbListClassValue: string;
    set breadcrumbListClass(breadcrumbListClass: string);
    get breadcrumbListClass(): string;
    breadcrumbListItemClassValue: string;
    set breadcrumbListItemClass(breadcrumbListItemClass: string);
    get breadcrumbListItemClass(): string;
    constructor(vRef: ViewContainerRef, breadcrumbsService: BreadcrumbsService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
}
